Bug 472794 - Review Request: onemind-commons-java - A common library used to support other onemind libraries
Review Request: onemind-commons-java - A common library used to support other...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-24 12:19 EST by Mary Ellen Foster
Modified: 2009-01-29 05:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-29 05:14:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2008-11-24 12:19:00 EST
Spec URL: http://mef.fedorapeople.org/packages/java-libraries/onemind-commons-java.spec
SRPM URL: http://mef.fedorapeople.org/packages/java-libraries/onemind-commons-java-1.5.5-2.src.rpm

Description:
This is a common library used to support other onemind libraries.

(Upstream seems sort of dormant, but this is an indirect dependency of some other Java packages ...)
Comment 2 D Haley 2008-12-28 08:04:02 EST
Please excuse any really dumb questions, I am somewhat new at this process myself.


Not a formal review:

>$RPM_BUILD_ROOT
Is there a preference for %{buildroot} for newer packages?

># This was obtained on 2008/11/24 using the following commands:
>#   cvs -d :pserver:anonymous@onemind-commons.cvs.sourceforge.net:/cvsroot/onemind-commons login
>#   cvs -d :pserver:anonymous@onemind-commons.cvs.sourceforge.net:/cvsroot/onemind-commons co commons-java/docs
>Source1:        %{name}-docs-20081124.tbz

Can you check out a particular CVS version, rather than HEAD -- that way the md5sum can be verified as being consistent during review. I know the upstream is dormant, so this is probably a bit picky.

>BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
I am unclear -- what is the reason for changing the BuildRoot? ("Fix BuildRoot to follow the latest guidelines") Can you point to a page (in your reply) for the less up-to-date of us?

>%description
>This is a common library used to support other onemind libraries.

Is it possible to expand on this at all? Its identical to the summary -- doesn't really provide extra information to users. That said, I am not sure what one would write here as an alternative.


>%{_javadir}/*.jar

I think I would prefer %{name}.jar and {name}-%{version}.jar to be explicit. This prevents any later inadvertant jar copying (another picky comment.)


Other than that, it seems OK to me. There are no jars, licence seems OK and GPL header present in all java files.
Comment 3 D Haley 2008-12-28 08:32:48 EST
Oh, and you are missing the deps in the -javadoc package.
Comment 4 Mary Ellen Foster 2009-01-29 05:14:57 EST
I'm withdrawing this review for the moment because it's no longer a requirement for the packages I'm currently working on.

Note You need to log in before you can comment on or make changes to this bug.